# Class TurnInitPhase

#### Hierarchy (view full)

- FieldPhase
  - TurnInitPhase

- Defined in src/phases.ts:1769

#####
Index

### Constructors

constructor

### Properties

scene

### Methods

end
executeForAll
getOrder
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new TurnInitPhase(scene): TurnInitPhase

- #### Parameters

  - scene: default

  #### Returns TurnInitPhase

  Overrides FieldPhase.constructor

  - Defined in src/phases.ts:1770

## Properties

### `Protected` scene

scene: default

Inherited from FieldPhase.scene

- Defined in src/phase.ts:4

## Methods

### end

- end(): void

- #### Returns void

  Inherited from FieldPhase.end

  - Defined in src/phase.ts:17

### executeForAll

- executeForAll(func): void

- #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from FieldPhase.executeForAll

  - Defined in src/phases.ts:681

### getOrder

- getOrder(): BattlerIndex []

- #### Returns BattlerIndex []

  Inherited from FieldPhase.getOrder

  - Defined in src/phases.ts:659

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from FieldPhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from FieldPhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Overrides FieldPhase.start

  - Defined in src/phases.ts:1774